Subject: [dnssd] Issues just noted for draft-otis-dnssd-scalable-dns-sd-threats-02 that will be included in future update

From: Douglas Otis <[email-masked]>
Date: Mon, 2 Nov 2015 14:50:43 +0900

Dear dnssd wg;

Based on last minute feedback, corrections are needed.

The term sitelocal was used incorrectly.  Based on prior
definitions, this implies addresses having a common prefix,
which was not the intent. This term arose from RFC7368 that
offered an example of a site-local name 'sitelocal'.  This
should be changed in the threats draft to inter-site
addresses to ensure against possible confusion.

Section 2.1.1

Was:
The scheme supporting DNS should ensure queries against a
sitelocal namespace is not forwarded to the Internet and to
global root servers.

Change to:
The scheme supporting DNS should ensure queries against a
locally defined namespace is not forwarded to the Internet
and to global root servers.

Was:
2.1.3.  Restricted Distribution of Sitelocal Addresses

Change to:
2.1.3. Restricted Distribution of Inter-site Addresses

Note: term is used in RFC4193 Section 4.1.

Will add a section with a focus on what addresses should be
placed into global DNS.

Will add reference to draft-ietf-dnssd-mdns-dns-interop.
Sorry for the omission.

Regards,
Douglas Otis